Subject: Re: [PATCH 0/9] for-each-ref optimizations & usability improvements

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Nov 2023 12:04:41 +0900

Victoria Dye <[email-masked]> writes:

> Ah sorry, I over-edited my cover letter and accidentally removed the
> explanation of what this patch does! Yes - the new behavior is that
> '--no-sort' (assuming there are no subsequent --sort=<something> options)
> will completely skip sorting the filtered refs. 

Makes sense.

And the way to countermand "--no-sort" that appears earlier on the
command line to revert to the default sort order is "--sort" that
uses "refname" as the sort key, which is also nice.